[![npm](https://img.shields.io/npm/v/vue-easytable.svg)](https://www.npmjs.com/package/vue-easytable)
[![codecov](https://codecov.io/gh/huangshuwei/vue-easytable/branch/master/graph/badge.svg)](https://codecov.io/gh/huangshuwei/vue-easytable)
[![Build Status](https://travis-ci.com/huangshuwei/vue-easytable.svg?branch=master)](https://travis-ci.com/huangshuwei/vue-easytable)
[![license](https://img.shields.io/npm/l/vue-easytable.svg?maxAge=2592000)](http://www.opensource.org/licenses/mit-license.php)
[![chat](https://img.shields.io/badge/chat-on%20discord-7289da.svg)](https://discord.gg/gBm3k6r)

# vue-easytable

**English** | [中文](./README-CN.md)

## Introduction

Based on vue2.x flexible table components.

## v2.0 New Version [![npm](https://img.shields.io/npm/v/vue-easytable.svg)](https://www.npmjs.com/package/vue-easytable)

- Complete rewriting of version 1.0. Based on JSX syntax rewriting、Parameter naming normalization、Event naming normalization, etc
- Support International
- Support Custom theme & Built in two themes
- Support Virtual scrolling
- Support Row expand
- Support Custom cell content. Based on `render` function
- Support Custom event
- Support Cell ellipsis
- Support Loading component
- Add Unit test > 85% coverage
- Official document update
- For more information, Refer to [official document ](http://doc.huangsw.com/vue-easytable/#/en/doc/intro)

## Features

- Easy to use
- Powerful
- Unit test coverage greater than 85%

## API & Examples

[Official documents](http://doc.huangsw.com/vue-easytable)

## Supports

- [x] [Internationalization](http://doc.huangsw.com/vue-easytable/#/zh/doc/locale)
- [x] [Theme Custom & Built in theme](http://doc.huangsw.com/vue-easytable/#/zh/doc/theme)
- [x] [Virtual Scroll](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/virtual-scroll)
- [x] [Column Fixed](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/column-fixed)
- [x] [Header Fixed](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/header-fixed)
- [x] [Header Grouping](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/header-grouping)
- [x] [Filter](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/header-filter)
- [x] [Sort](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/header-sort)
- [x] [Cell Style](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/cell-style)
- [x] [Cell Custom](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/cell-custom)
- [x] [Cell Span](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/cell-span)
- [x] [Cell Selection(keyboard operation)](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/cell-selection)
- [x] [Cell Ellipsis](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/cell-ellipsis)
- [x] [Row Radio](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/row-radio)
- [x] [Row Checkbox](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/row-checkbox)
- [x] [Row Expand](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/row-expand)
- [x] [Row Style](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/row-style)
- [x] [Footer Summary](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/footer-summary)
- [x] [Event Custom](http://doc.huangsw.com/vue-easytable/#/zh/doc/table/event-custom)
- [x] [Loading component](http://doc.huangsw.com/vue-easytable/#/zh/doc/base/loading)
- [x] [Pagination component](http://doc.huangsw.com/vue-easytable/#/zh/doc/base/pagination)
- [More](http://doc.huangsw.com/vue-easytable)

If there is no feature you want, [Please Tell Us](http://doc.huangsw.com/issue-template-generater/#/en)

## Todo List

[What are we doing](https://github.com/Happy-Coding-Clans/vue-easytable/projects)

## Environment Support

- Modern browser and ie10 and above

| [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/edge/edge_48x48.png" alt="IE / Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>IE / Edge | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Firefox | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Chrome | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Safari | [<img src="https://raw.githubusercontent.com/alrra/browser-logos/master/src/opera/opera_48x48.png" alt="Opera" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)</br>Opera |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| IE10, IE11, Edge                                                                                                                                                                                                | last 2 versions                                                                                                                                                                                                   | last 2 versions                                                                                                                                                                                               | last 2 versions                                                                                                                                                                                               | last 2 versions                                                                                                                                                                                           |

## How to contribute

If you want to contribute,just create a [Pull Request](https://github.com/huangshuwei/vue-easytable/pulls)

## Discussion group

[Join in Discord Chat Room](https://discord.gg/gBm3k6r)

## License

http://www.opensource.org/licenses/mit-license.php
